Feature # 466 (Closed): Lemma lookup

Lemma lookup popups

12/08/2012 06:07 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2   

Description

Create popovers or dialogs that displays the lemma information.

History

#1 - 12/08/2012 06:10 AM - Luke Murphey

See the following regarding how to the popover with AJAX:

http://stackoverflow.com/questions/8130069/load-bootstrap-js-popover-content-with-ajax

The following has some useful customization for bootstrap popovers:

http://www.leecarmichael.com/bootstrapx-clickover/examples.html

#2 - 12/21/2012 12:11 AM - Luke Murphey

I'm planning on using underscore templates to make the dialog box. See:

http://stackoverflow.com/questions/4778881/how-to-use-underscore-js-as-a-template-engine

http://www.bennadel.com/blog/2411-Using-Underscore-js-Templates-To-Render-HTML-Partials.htm

#3 - 12/21/2012 04:13 AM - Luke Murphey

I cannot think of a good way to chunk the text after-the-fact with the tags necessary to allow morphological lookups on words. The

text_transformation_fx only dictates the data within the text node and currently doesn't allow new nodes to be created.

#4 - 12/22/2012 07:03 PM - Luke Murphey

- Status changed from New to In Progress

- Assignee set to Luke Murphey

- % Done changed from 0 to 60

#5 - 12/22/2012 08:15 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 60 to 100
